#!/bin/sh
echo END CONFIG_DIR=$CONFIG_DIR HOST=$HOST PORT=$PORT TESTRUN=$TESTRUN

CLUSTER_DIR=$CONFIG_DIR/clusters/$CLUSTER
# load common functions & variables
. $CLUSTER_DIR/cluster.conf

FUNCTIONS_DIR=`dirname $0`
. $FUNCTIONS_DIR/functions.sh

NODEDIR=$CLUSTER_DIR/$NODES_DIR
TESTRUN_DIR=$TESTRUNS_DIR/$TESTRUN

echo -n "Cleaning lock-files... "
rm $NODEDIR/localhost_$PORT
check

CHCKPNT=$TESTRUN_DIR/$PORT/$CHECK_POINT
if [ -f $CHCKPNT -a ! -f $TESTRUN_DIR/$CHECK_POINT ]
then
    echo -n "Moving a check point..."
    mv -f $CHCKPNT $TESTRUN_DIR
    check
fi

echo END END
